at.chipkarte.client.abs.soap

## Class LangzeitbewilligungsAbfrageErgebnis

- Object
- - at.chipkarte.client.abs.soap.LangzeitbewilligungsAbfrageErgebnis

-     public class LangzeitbewilligungsAbfrageErgebnis
      extends Object

  Enthält das Ergebnis einer `LangzeitbewilligungsAbfrage`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LangzeitbewilligungsAbfrageErgebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getBewilligteAbgabemenge()` Bewilligte gesamte Abgabemenge (Packungsanzahl) des verschriebenen Medikaments.
    `String` | `getDatumGueltigBis()` Enddatum der Langzeitbewilligung.
    `String` | `getDatumNaechstMoeglicheFolgeverordnung()` Nächst möglicher Zeitpunkt für die Folgeverordnung, wenn das Ausstellen einer Folgeverordnung zum heutigen Zeitpunkt nicht möglich ist.
    `String` | `getDosierung()` Dosierung/Abgabemodus der Verordnung (z.B.: 1-0-1).
    `String` | `getDruckNachnamePatient()` Drucknachname des Patienten.
    `String` | `getDruckVornamePatient()` Druckvorname des Patienten.
    `Integer` | `getHeuteBereitsVerordneteMenge()` Packungsanzahl der heute verbuchten Folgeverordnung, wenn der Verordner an diesem Tag bereits eine Folgeverordnung zu diesem Patienten und diesem Medikament erfolgreich verbucht hat.
    `Integer` | `getMaximaleAbgabemenge()` Maximale Abgabemenge (Packungsanzahl) für die Folgeverordnung.
    `String` | `getMedikamentName()` Eindeutiger Name des Medikaments.
    `Integer` | `getMonatsBedarf()` Monatsbedarf des verschriebenen Medikaments.
    `String` | `getNachnamePatient()` Nachname des Patienten.
    `Integer` | `getOffeneAbgabemenge()` Gesamt offene Abgabemenge (Packungsanzahl).
    `String` | `getPharmanummer()` Pharmanummer des Medikaments.
    `String` | `getSVNRPatient()` Sozialversicherungsnummer des Patienten.
    `String` | `getVornamePatient()` Vorname des Patienten.
    `Boolean` | `isAbgabeMoeglich()` Kennzeichen, ob zum Zeitpunkt der Abfrage eine Folgeverordnung ausgestellt werden kann.
    `Boolean` | `isHeuteBereitsVerordnet()` Kennzeichen, ob der Verordner an diesem Tag bereits eine Folgeverordnung zu diesem Patienten und diesem Medikament erfolgreich verbucht hat.
    `void` | `setAbgabeMoeglich(Boolean abgabeMoeglich)`
    `void` | `setBewilligteAbgabemenge(Integer bewilligteAbgabemenge)`
    `void` | `setDatumGueltigBis(String datumGueltigBis)`
    `void` | `setDatumNaechstMoeglicheFolgeverordnung(String datumNaechstMoeglicheFolgeverordnung)`
    `void` | `setDosierung(String dosierung)`
    `void` | `setDruckNachnamePatient(String druckNachnamePatient)`
    `void` | `setDruckVornamePatient(String druckVornamePatient)`
    `void` | `setHeuteBereitsVerordnet(Boolean heuteBereitsVerordnet)`
    `void` | `setHeuteBereitsVerordneteMenge(Integer heuteBereitsVerordneteMenge)`
    `void` | `setMaximaleAbgabemenge(Integer maximaleAbgabemenge)`
    `void` | `setMedikamentName(String medikamentName)`
    `void` | `setMonatsBedarf(Integer monatsBedarf)`
    `void` | `setNachnamePatient(String nachnamePatient)`
    `void` | `setOffeneAbgabemenge(Integer offeneAbgabemenge)`
    `void` | `setPharmanummer(String pharmanummer)`
    `void` | `setSVNRPatient(String patient)`
    `void` | `setVornamePatient(String vornamePatient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LangzeitbewilligungsAbfrageErgebnis

          public LangzeitbewilligungsAbfrageErgebnis()

  - ### Method Detail

    - #### isAbgabeMoeglich

          public Boolean isAbgabeMoeglich()

      Kennzeichen, ob zum Zeitpunkt der Abfrage eine Folgeverordnung ausgestellt werden kann.
      Returns:
        True, wenn das Ausstellen möglich ist

    - #### isHeuteBereitsVerordnet

          public Boolean isHeuteBereitsVerordnet()

      Kennzeichen, ob der Verordner an diesem Tag bereits eine Folgeverordnung zu diesem Patienten und diesem Medikament erfolgreich verbucht hat.
      Ist dieses Feld True, so enthält das Feld `heuteBereitsVerordneteMenge` die ausgestellte Packungsanzahl.
      Returns:
        True, wenn bereits eine Folgeverordnung erfolgreich verbucht wurde

    - #### getBewilligteAbgabemenge

          public Integer getBewilligteAbgabemenge()

      Bewilligte gesamte Abgabemenge (Packungsanzahl) des verschriebenen Medikaments.
      Format: [1..99]
      Returns:
        Bewilligte Abgabemenge

    - #### getDatumGueltigBis

          public String getDatumGueltigBis()

      Enddatum der Langzeitbewilligung.
      Format: TT.MM.JJJJ, 10-stellig
      Returns:
        Enddatum der Langzeitbewilligung

    - #### getDatumNaechstMoeglicheFolgeverordnung

          public String getDatumNaechstMoeglicheFolgeverordnung()

      Nächst möglicher Zeitpunkt für die Folgeverordnung, wenn das Ausstellen einer Folgeverordnung zum heutigen Zeitpunkt nicht möglich ist.
      Dieser Parameter ist optional und nur gesetzt, falls derzeit keine Abgabe möglich ist, siehe `isAbgabeMoeglich`. Ansonsten `null`.
      Format: TT.MM.JJJJ, 10-stellig
      Returns:
        Nächst möglicher Zeitpunkt für die Folgeverordnung

    - #### getDosierung

          public String getDosierung()

      Dosierung/Abgabemodus der Verordnung (z.B.: 1-0-1).
      Format: maximal 25-stellig
      Returns:
        Dosierung

    - #### getOffeneAbgabemenge

          public Integer getOffeneAbgabemenge()

      Gesamt offene Abgabemenge (Packungsanzahl).
      Format: [1..99]
      Returns:
        Gesamt offene Abgabemenge

    - #### getHeuteBereitsVerordneteMenge

          public Integer getHeuteBereitsVerordneteMenge()

      Packungsanzahl der heute verbuchten Folgeverordnung, wenn der Verordner an diesem Tag bereits eine Folgeverordnung zu diesem Patienten und diesem Medikament erfolgreich verbucht hat.
      Siehe `isHeuteBereitsVerordnet`. Ansonsten `0`.
      Returns:
        Packungsanzahl der heute verbuchten Folgeverordnung

    - #### getMaximaleAbgabemenge

          public Integer getMaximaleAbgabemenge()

      Maximale Abgabemenge (Packungsanzahl) für die Folgeverordnung.
      Format: [1..99]
      Returns:
        Maximale Abgabemenge für die Folgeverordnung

    - #### getMedikamentName

          public String getMedikamentName()

      Eindeutiger Name des Medikaments.
      Format: maximal 100-stellig
      Returns:
        Medikamentenname

    - #### getMonatsBedarf

          public Integer getMonatsBedarf()

      Monatsbedarf des verschriebenen Medikaments.
      Format: [1..99]
      Returns:
        Monatsbedarf

    - #### getNachnamePatient

          public String getNachnamePatient()

      Nachname des Patienten.
      Format: maximal 70-stellig
      Returns:
        Nachname des Patienten

    - #### getDruckNachnamePatient

          public String getDruckNachnamePatient()

      Drucknachname des Patienten.
      Format: maximal 70-stellig
      Returns:
        DruckNachname des Patienten

    - #### getPharmanummer

          public String getPharmanummer()

      Pharmanummer des Medikaments.
      Format: maximal 9-stellig, numerisch
      Die Pharmanummer muss den Regeln für Pharmanummern (Prüfziffer) entsprechen.
      Returns:
        Pharmanummer

    - #### getSVNRPatient

          public String getSVNRPatient()

      Sozialversicherungsnummer des Patienten.
      Format: 10-stellig
      Returns:
        Sozialversicherungsnummer

    - #### getVornamePatient

          public String getVornamePatient()

      Vorname des Patienten.
      Format: maximal 70-stellig
      Returns:
        Vorname des Patienten

    - #### getDruckVornamePatient

          public String getDruckVornamePatient()

      Druckvorname des Patienten.
      Format: maximal 70-stellig
      Returns:
        DruckVorname des Patienten

    - #### setBewilligteAbgabemenge

          public void setBewilligteAbgabemenge(Integer bewilligteAbgabemenge)

    - #### setAbgabeMoeglich

          public void setAbgabeMoeglich(Boolean abgabeMoeglich)

    - #### setDatumGueltigBis

          public void setDatumGueltigBis(String datumGueltigBis)

    - #### setDatumNaechstMoeglicheFolgeverordnung

          public void setDatumNaechstMoeglicheFolgeverordnung(String datumNaechstMoeglicheFolgeverordnung)

    - #### setDosierung

          public void setDosierung(String dosierung)

    - #### setOffeneAbgabemenge

          public void setOffeneAbgabemenge(Integer offeneAbgabemenge)

    - #### setHeuteBereitsVerordnet

          public void setHeuteBereitsVerordnet(Boolean heuteBereitsVerordnet)

    - #### setHeuteBereitsVerordneteMenge

          public void setHeuteBereitsVerordneteMenge(Integer heuteBereitsVerordneteMenge)

    - #### setMaximaleAbgabemenge

          public void setMaximaleAbgabemenge(Integer maximaleAbgabemenge)

    - #### setMedikamentName

          public void setMedikamentName(String medikamentName)

    - #### setMonatsBedarf

          public void setMonatsBedarf(Integer monatsBedarf)

    - #### setNachnamePatient

          public void setNachnamePatient(String nachnamePatient)

    - #### setDruckNachnamePatient

          public void setDruckNachnamePatient(String druckNachnamePatient)

    - #### setPharmanummer

          public void setPharmanummer(String pharmanummer)

    - #### setSVNRPatient

          public void setSVNRPatient(String patient)

    - #### setVornamePatient

          public void setVornamePatient(String vornamePatient)

    - #### setDruckVornamePatient

          public void setDruckVornamePatient(String druckVornamePatient)